[resolved] metadata bridge not available in Talend Data Integration 6.2.1

Five Stars

[resolved] metadata bridge not available in Talend Data Integration 6.2.1

There is no metadata bridge option in File>Import and the log contains some errors like "org.osgi.framework.BundleException: Could not resolve module: org.talend.metadata.bridge.ui " - see attached log section
thanks

Accepted Solutions
Five Stars

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

ok, it turns out it had not been installed. I thought I had ticked it at install time, but obviously not. I selected Help>Install Additional Packages and then ticked Metadata Bridge. Now it is there.

All Replies
Moderator

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

Hi,
Did you install your talend data integration 6.2.1 by using talend installer? 
We cannot see your attached log. Could you please check it?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

Hi,
Yes, I installed using the gui installer with easy, server and all default options. Here is the log:
.log_part.txt_20161021-0430.txt
Five Stars

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

!ENTRY org.talend.metadata.bridge.ui 4 0 2016-10-21 14:51:19.615
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.metadata.bridge.ui
  Unresolved requirement: Require-Bundle: org.talend.metadata.bridge.content.win32.win32.x86_64
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.talend.mdm.metadata.bridge 4 0 2016-10-21 14:51:19.625
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.mdm.metadata.bridge
  Unresolved requirement: Require-Bundle: org.talend.mdm.repository; resolution:="optional"
  Unresolved requirement: Require-Bundle: org.talend.mdm.repository.model; resolution:="optional"
  Unresolved requirement: Require-Bundle: org.talend.metadata.bridge.ui
    -> Bundle-SymbolicName: org.talend.metadata.bridge.ui; bundle-version="6.2.1.20160704_1411"; singleton:="true"
       org.talend.metadata.bridge.ui
         Unresolved requirement: Require-Bundle: org.talend.metadata.bridge.content.win32.win32.x86_64
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
Five Stars

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

ok, it turns out it had not been installed. I thought I had ticked it at install time, but obviously not. I selected Help>Install Additional Packages and then ticked Metadata Bridge. Now it is there.
Moderator

Re: [resolved] metadata bridge not available in Talend Data Integration 6.2.1

Hi,
Great this issue is fixed and Thanks for your feedback. Could you please mark this topic as resolved?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.